<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<link href="https://fonts.googleapis.com/icon?family=Material+Icons"
      rel="stylesheet">
<style type="text/css">
		body{
			margin:0;
			display: flex;
			align-items: center;
			justify-content: center;
			height:100vh;
		}
		.menu-area{
			display: flex;
			justify-content: center;
			align-items: center;
		}
		.menu-item,.core{
			display: flex;
			justify-content: center;
			align-items: center;
			height:30px;
			width: 30px;
			border-radius: 50%;
			color:white;
			background:yellow;
			transition: .3s;
			cursor: pointer;
			opacity: 0;
		}
		.menu-item>i,.core>i{
			text-shadow: 1px 1px 8px rgba(0,0,0,0.3);
		}
		.core{
			z-index: 9;
			height:80px;
			width: 80px;
			opacity: 1
		}
		.core>i{
			font-size:50px;
		}
		.menu-area:hover>.core{
			transform: rotate(45deg);
		}
		.menu-list{
			display: flex;
			flex-direction: column;
			justify-content: space-between;
			align-items: center;
			height:0px;
			position: absolute;
			transition: .5s ease-in;
		}
	
		.upper,.lower{
			display: flex;
			flex-direction: column;
			justify-content: space-between;
			height:40%;
			overflow-y: hidden;
		}
			.menu-item::before{
			content:'';
			position: absolute;
    		height: 25px;
    		width: 85px;
    		border-radius: 5px;
			background:red;
			left:-100px;
			color:white;
			display: flex;
			justify-content: center;
			align-items: center;

		}
		.menu-item::after{
			content:'';
			position: absolute;
			height:8px;
			width: 8px;
			transform: rotate(45deg);
			left:-20px;
			background:red;
		}
		.menu-area:hover>.menu-list{
			height:500px;
		}
		.menu-area:hover>.menu-list>.menu-item{
			opacity: 1
		}
		.menu-area:hover>.menu-list>.upper>.menu-item,.menu-area:hover>.menu-list>.lower>.menu-item{
			opacity: 1
		}

		.upper>.menu-item:nth-child(1):before{
			content:'hmm';
		}

</style>
<body>
	
<div class="menu-area">
	<div class="core">
		<i class="material-icons">add</i>
	</div>
	<div class="menu-list">
		<div class="upper">
			<div class="menu-item">
				<i class="material-icons">create</i>
			</div>
			<div class="menu-item">
				<i class="material-icons">drafts</i>
			</div>
			<div class="menu-item">
				<i class="material-icons">flag</i>
			</div>
			<div class="menu-item">
				<i class="material-icons">report</i>
			</div>
		</div>
		<div class="lower">
			<div class="menu-item">
				<i class="material-icons">sort</i>
			</div>
			<div class="menu-item">
				<i class="material-icons">send</i>
			</div>
			<div class="menu-item">
				<i class="material-icons">face</i>
			</div>
			<div class="menu-item">
				<i class="material-icons">favorite</i>
			</div>
		</div>
</div>

</body>
</html>